Bug 1267225 - Corsair K70 keyboard 'hash' key not functioning correctly (united kingdom layout)
Corsair K70 keyboard 'hash' key not functioning correctly (united kingdom lay...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
22
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Jan Synacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 07:50 EDT by Ali
Modified: 2015-10-31 22:33 EDT (History)
8 users (show)

See Also:
Fixed In Version: systemd-219-25.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:24:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali 2015-09-29 07:50:21 EDT
Description of problem:
After upgrade to systemd-219-24.fc22 my hash (#) key stopped working on my Corsair K70 keyboard.  This seems to have been caused by the patch added as a bugfix for a (presumably) US layout keyboard:
https://bugzilla.redhat.com/show_bug.cgi?id=1262132


Version-Release number of selected component (if applicable):
systemd-219-24.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Press hash key on a UK or DE layout K70 keyboard

Actual results:
No input recorded at the terminal, in the gnome keyboard tester or xve

Expected results:
A hash to be printed (or tilde if using shift)

Additional info:
Rolling back to systemd-219-23.fc22.x86_64 resolves the issue.
Comment 1 Lukas Bezdicka 2015-10-17 11:50:15 EDT
It's really annoying, even pipe on us keyboard stopped working.
Comment 2 Fedora Update System 2015-10-19 06:21:03 EDT
systemd-219-25.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-de2c8b692d
Comment 3 Fedora Update System 2015-10-19 06:22:14 EDT
systemd-222-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-584dbe3328
Comment 4 Fedora Update System 2015-10-19 12:24:40 EDT
systemd-222-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update systemd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-584dbe3328
Comment 5 Fedora Update System 2015-10-20 00:23:25 EDT
systemd-219-25.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update systemd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-de2c8b692d
Comment 6 Fedora Update System 2015-10-28 12:24:00 EDT
systemd-219-25.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-31 22:33:45 EDT
systemd-222-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.